Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class AbstractOffDocumentItem

    java.lang.Object
      org.apache.fop.area.AbstractOffDocumentItem

All Implemented Interfaces:
  OffDocumentItem

Direct Known Subclasses:
  BookmarkData, DestinationData

    public abstract class AbstractOffDocumentItem

extends java.lang.Object
implements OffDocumentItem

Abstract base class for objects that are processed by the renderer outside of the actual document. This object can be handled by the renderer according to these possibilities: IMMEDIATELY, AFTER_PAGE, START_OF_DOC or END_OF_DOC.

Field Summary
`static int` | `AFTER_PAGE` Process this extension after the next page is rendered or prepared when being handled by the area tree.
`static int` | `END_OF_DOC` Process this extension at the end of the document once all pages have been fully rendered.
`static int` | `IMMEDIATELY` Process this extension immediately when being handled by the area tree.
`static int` | `START_OF_DOC` Process this extension at the start of the document right before the first page-sequence is processed.
`protected int` | `whenToProcess` Indicates in what phase the item should be processed.

Constructor Summary
`AbstractOffDocumentItem()`

Method Summary
`abstract java.lang.String` | `getName()` Return a human-readable name for this ODI (for error messages, etc.)
`int` | `getWhenToProcess()` Get an indicator of when this item should be processed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMMEDIATELY

    public static final int IMMEDIATELY

  Process this extension immediately when being handled by the area tree.

  See Also:
    Constant Field Values

### AFTER_PAGE

    public static final int AFTER_PAGE

  Process this extension after the next page is rendered or prepared when being handled by the area tree.

  See Also:
    Constant Field Values

### END_OF_DOC

    public static final int END_OF_DOC

  Process this extension at the end of the document once all pages have been fully rendered.

  See Also:
    Constant Field Values

### START_OF_DOC

    public static final int START_OF_DOC

  Process this extension at the start of the document right before the first page-sequence is processed.

  See Also:
    Constant Field Values

### whenToProcess

    protected int whenToProcess

  Indicates in what phase the item should be processed.

Constructor Detail

### AbstractOffDocumentItem

    public AbstractOffDocumentItem()

Method Detail

### getWhenToProcess

    public int getWhenToProcess()

  Get an indicator of when this item should be processed

  Specified by:
    `getWhenToProcess` in interface `OffDocumentItem`
  Returns:
    int constant (IMMEDIATELY, AFTER_PAGE, START_OF_DOC, END_OF_DOC)

### getName

    public abstract java.lang.String getName()

  Return a human-readable name for this ODI (for error messages, etc.)

  Specified by:
    `getName` in interface `OffDocumentItem`
  Returns:
    String name of ODI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.